osl::game_playing::DeterminateWeightTracer Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::game_playing::DeterminateWeightTracer Class Reference

`#include <weightTracer.h>`

Inheritance diagram for osl::game_playing::DeterminateWeightTracer:
[legend]
Collaboration diagram for osl::game_playing::DeterminateWeightTracer:
[legend]

## Public Member Functions
| DeterminateWeightTracer (WeightedBook &book, bool verbose=false, const int topn=1, const int weight_coef_for_the_initial_move=16, const int weight_coef=10)
| DeterminateWeightTracer (const DeterminateWeightTracer &copy)
OpeningBookTracer * | clone () const
| new したものを返す More...
const Move | selectMove () const
| 良い手を探す．状態は更新しない． More...
int | getTopn () const
Public Member Functions inherited from osl::game_playing::WeightTracer
| WeightTracer (WeightedBook &, bool verbose=false, const int weight_coef_for_the_initial_move=16, const int weight_coef=10)
| WeightTracer (const WeightTracer &)
void | update (Move)
| 指した手に対応して状態を更新する． More...
int | stateIndex () const
bool | isOutOfBook () const
void | popMove ()
| 一手前の状態に戻す More...
Public Member Functions inherited from osl::game_playing::OpeningBookTracer
| OpeningBookTracer ()
virtual | ~OpeningBookTracer ()
bool | isVerbose () const

## Private Attributes
const int | topn
| < select a move from topn moves More...

## Additional Inherited Members
Public Types inherited from osl::game_playing::WeightTracer
typedef record::opening::WeightedBook | WeightedBook
Protected Member Functions inherited from osl::game_playing::WeightTracer
const osl::Move | selectMoveAtRandom (const std::vector< osl::record::opening::WMove > &moves) const
Protected Attributes inherited from osl::game_playing::WeightTracer
WeightedBook & | book
int | state_index
int | start_index
Player | turn
osl::stack< int > | state_stack
const int | weight_coef_for_the_initial_move
const int | weight_coef

## Detailed Description

Definition at line 51 of file weightTracer.h.

## Constructor & Destructor Documentation

osl::game_playing::DeterminateWeightTracer::DeterminateWeightTracer | ( | WeightedBook & | book,
|  | bool | verbose = `false`,
|  | const int | topn = `1`,
|  | const int | weight_coef_for_the_initial_move = `16`,
|  | const int | weight_coef = `10`
| ) |  |
| inlineexplicit

Definition at line 56 of file weightTracer.h.

osl::game_playing::DeterminateWeightTracer::DeterminateWeightTracer | ( | const DeterminateWeightTracer & | copy) |  |
| inline

Definition at line 62 of file weightTracer.h.

## Member Function Documentation

osl::game_playing::OpeningBookTracer * osl::game_playing::DeterminateWeightTracer::clone | ( | ) |  | const
| virtual

new したものを返す

Reimplemented from osl::game_playing::WeightTracer.

Definition at line 174 of file weightTracer.cc.

int osl::game_playing::DeterminateWeightTracer::getTopn | ( | ) |  | const
| inline

Definition at line 67 of file weightTracer.h.

References topn.

const osl::Move osl::game_playing::DeterminateWeightTracer::selectMove | ( | ) |  | const
| virtual

良い手を探す．状態は更新しない．

Returns
  定跡をはずれたら Move::INVALID()

Reimplemented from osl::game_playing::WeightTracer.

Definition at line 180 of file weightTracer.cc.

References book(), osl::record::opening::WeightedBook::getMoves(), osl::Move::INVALID(), moves, and verbose.

## Member Data Documentation

const int osl::game_playing::DeterminateWeightTracer::topn
| private

< select a move from topn moves

Definition at line 54 of file weightTracer.h.

Referenced by getTopn().

The documentation for this class was generated from the following files:

- weightTracer.h
- weightTracer.cc